Subject: Re: CC Mode version 5.31.8 does not indent properly when writing new C files
From: Steve Revilak <[email-masked]>
To: [email-masked]
Date: Thu, 31 Dec 2009 14:39:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I've tried this test case with 

   GNU Emacs 23.1.91.1 (powerpc-apple-darwin8.11.0, NS apple-appkit-824.48) of 2009-12-31 on spud
   GNU Emacs 23.1.91.1 (x86_64-apple-darwin10.2.0, NS apple-appkit-1038.25) of 2009-12-31 on oatmeal
   GNU Emacs 23.1.91.1 (i686-pc-linux-gnu, GTK+ Version 2.18.1) of 2009-12-31 on srevilak

The indentation problem no longer occurs with Emacs 23.1.91.1.

Relative to the original "Steps to Reproduce", 

  * In step (5), typing the final semicolon causes the line "*x += 1;"
    to be indented properly

  * If I delete leading whitespace from "*x += 1;" and perform step (7),
    then pressing TAB correctly indents the line.

  * If I delete leading whitespace from "*x += 1;" and perform step
    (8), then I find C-x h ESC C-\ correctly re-indents the entire
    buffer.

Nice work!

Steve